package com.memorynotfound;

import javax.annotation.PostConstruct;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;
import javax.faces.context.FacesContext;

@ManagedBean
@RequestScoped
public class MessageBean {

    private String name;

    @PostConstruct
    public void init(){
        System.out.println("@PostConstruct: view params are NOT available here");
        System.out.println("Name: " + name);
    }

    public void before(){
        if (!FacesContext.getCurrentInstance().isPostback()){
            System.out.println("PreRenderView: view parameters are available here");
            System.out.println("Name: " + name);
            name = name.toUpperCase();
        }
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
